package com.xkrs.service;

import com.xkrs.model.qo.ProductQo;

/**
 * @Author: XinYi Song
 * @Date: 2021/12/15 15:38
 */
public interface ProductService {

    /**
     * 添加商品信息
     * @param productQo      商品信息
     * @param business       商家用户id
     * @return
     */
    String addingProduct(ProductQo productQo,Integer business, String userIdentity);

    /**
     * 商家查看上下架商品的信息
     * @param businessId
     * @param productCounty
     * @param shelfType
     * @return
     */
    String selectProductShelfType(Integer businessId, String productCounty, String shelfType);

    /**
     * 各级查看自己要审核的商品
     * @param businessId
     * @param productCity
     * @param productCounty
     * @param reviewType
     * @return
     */
    String selectProductReviewType(Integer businessId, String productCity, String productCounty, String reviewType);

    /**
     * 商品审核
     * @param productId
     * @param reviewType
     * @return
     */
    String updateReviewType(Integer productId,String reviewType);
}
