package com.xkrs.utils;

import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;

/**
 * SHA加密解密工具
 * @author tajochen
 */
public class EncryptDecryptUtil {

    /**
     * SHA-256加密
     * @param strText
     * @return
     */
    public static String encry256(final String strText){
        return  encrySha(strText,"SHA-256");
    }

    /**
     * SHA-512加密
     * @param strText
     * @return
     */
    public static String encry512(final String strText){
        return encrySha(strText,"SHA-512");
    }

    /**
     * 基础SHA加密
     * @param strText
     * @param strType
     * @return
     */
    private static String encrySha(final String strText, final String strType){
        // 返回值
        String strResult=null;
        // 是否是有效的字符串
        if (strText != null && strText.length()>0){
            // 加密开始，创建加密对象，并传入加密类型
            try {
                MessageDigest messageDigest = MessageDigest.getInstance(strType);
                // 传入加密的字符串
                messageDigest.update(strText.getBytes());
                // 得到bytes类型结果
                byte[] byteBuffer = messageDigest.digest();
                StringBuilder strHexString = new StringBuilder();
                for (byte b : byteBuffer) {
                    String hex = Integer.toHexString(0xff & b);
                    if (hex.length() == 1) {
                        strHexString.append('0');
                    }
                    strHexString.append(hex);
                }
                // 得到返回的结果
                strResult = strHexString.toString();
            }
            catch (NoSuchAlgorithmException e) {
                e.printStackTrace();
            }
        }
        return  strResult;
    }
}

